package com.crm.rely.backend.core.dto.sales;

import com.crm.rely.backend.core.dto.base.BaseInfoDto;
import com.crm.rely.backend.core.pojo.table.SalesVolumeCommissionTable;
import lombok.Data;

import java.util.Date;

@Data
public class SalesVolumeCommissionDto extends BaseInfoDto {

    private Long login;

    private Long order;

    private String symbol;

    private Float volume;

    private Date openTime;

    private Date closeTime;

    private Long groupType;
//
//    private Long agentId;
//
    private String ibNo;
//
//    private Long salesId;
//
//    private String salesIdStamp;

    private String salesNo;

    private String salesLeaderNo;

//    private Long salesLeaderId;
    /**
     * 绩效规则ID
     */
//    private Long salesCommissionRuleId;

    private Float personalCommission;

    private Float teamCommission;

    private Float teamVolume;

    public static SalesVolumeCommissionDto getInstance(){
        SalesVolumeCommissionDto table = new SalesVolumeCommissionDto();
        table.setPersonalCommission(0F);
        table.setTeamCommission(0F);
        table.setTeamVolume(0F);
        return table;
    }
}
